Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 723211 - PRD35 - [RFE] clone vm - support copy/duplicate virtual machines (without having to create a template)
Summary: PRD35 - [RFE] clone vm - support copy/duplicate virtual machines (without hav...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 2.2.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On: 1058832
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2011-07-19 12:27 UTC by Chris Williams
Modified: 2018-11-27 21:36 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Release Note
Doc Text:
With this feature, users can now clone a virtual machine directly from an existing virtual machine without the need to create a template first making the process more time and resource efficient.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:49:34 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 23805 None None None Never
oVirt gerrit 23806 None None None Never
oVirt gerrit 26526 None None None Never

Comment 2 Einav Cohen 2011-08-16 14:38:12 UTC
*** Bug 731035 has been marked as a duplicate of this bug. ***

Comment 3 Itamar Heim 2012-06-17 17:29:44 UTC
note: 3.1 has 'clone vm from snapshot' which solves some of this use case.

Comment 4 Haim 2013-01-08 20:23:01 UTC
(In reply to comment #3)
> note: 3.1 has 'clone vm from snapshot' which solves some of this use case.

Itamar, why some and not all? i.e. why isn't this closed currentrelease?

Comment 5 Itamar Heim 2013-01-08 20:38:42 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > note: 3.1 has 'clone vm from snapshot' which solves some of this use case.
> 
> Itamar, why some and not all? i.e. why isn't this closed currentrelease?

because it forces user to create a snapshot.
i want to stand on a VM and either:
1. clone it while it is down
2. have the system create the snapshot and delete it later.
personally i'm fine with providing #1 in this RFE (cold clone), and relying on something like storage based snapshots for #2 when they are available.

Comment 7 Itamar Heim 2013-09-22 06:20:38 UTC
is cold clone enough here, or live clone needed as well?
I suggest we separate the two, as the former is easier.

Comment 8 Erik M Jacobs 2013-09-23 17:50:30 UTC
If you mean "cold" in that you would have to shut down the VM in order to one-click clone, then, no, "cold" is not enough.  The ideal situation is to take any VM, regardless of state (running, stopped, template, etc) and be able to right-click and create a new instance of whatever it is.

Cold clone is definitely a step forward from where we are today, but it's not "enough".

Comment 9 Michal Skrivanek 2014-01-07 13:56:38 UTC
we'll try to see how complicated is it through snapshots which would work both for off and running VMs

Comment 10 Nisim Simsolo 2014-10-29 12:31:44 UTC
Verified using vt7:
rhevm-3.5.sanlock-2.8-1.el6.x86_64
libvirt-0.10.2-46.el6_6.1.x86_64
qemu-kvm-rhev-0.12.1.2-2.448.el6.x86_64
vdsm-4.16.7.1-1.el6ev.x86_64
0-0.17.beta.el6ev.noarch

Aslo bug 1128150 is related to this PRD.

Comment 11 Yaniv Lavi 2015-01-19 14:52:32 UTC
Posting original request:
2) What is the nature and description of the request?

The user would like to be able to duplicate virtual machines directly for staging and other tests without having to create a template. 

3) Why is it needed? 

This is both for convenience and performance issues. The time and storage required is more than should be necessary for making a single duplicate of a vm.

4) Functional requirements:

Select a vm, and either click a "clone" button or have a "clone" option in the context menu

Comment 15 errata-xmlrpc 2015-02-11 17:49:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.